<?php 
$brand = $this->brand;
$portfolio = $this->portfolio;
/*echo "<pre>"; print_r($portfolio); die;*/
?>
<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('portfolio-add-image', ['brandUrl' => $brand->url]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>
<div class="col-md-12 col-sm-12">

    <?php if($this->isBrandAdmin){ ?>
    
        <!--ADD NEW PORTFOLIO STEP - 1-->
        <div class="addNewProject" style="display: none;">
            <!-- end of top category -->
            <div class="addProjectInfo" id="project-first">
                <h3>Name your Project</h3>
                <p class="proces"><span class="procesPage">1</span> / 2</p>
                <div class="clear"></div>
                <div class="projectInfoBlock">
                    <div class="eachProject">
                        <input type="text" class="categoryInput input-project-name reset-text" placeholder="Type project name.."> 
                        <a href="#" class="help">?</a>
                    </div>
                    <button id="project-first-hide" class="postblueBtnCategory" onclick="javascript: nextStepPortfolio();">NEXT</button>
                    <button class="hideBtnCategory" onclick="javascript: hideAddNewForm();">Cancel</button>
                    <div class="clear"></div>
                </div>
            </div>
            <!-- end of category info -->
        </div>
        <!--STEP - 1 END-->
        
        <!--PORTFOLIO CREATE FORM STEP - 2 -->
        <div class="upload-project-photo" id="project-upload" style="display:none;">
            <div class="project-title-bar">
                <h1 class="new-project-title">Add project content</h1>
                <p class="proces"><span class="procesPage">2</span> / 2</p>
                <div class="clear"></div>
            </div>
            <div class="project-photo-upload portfolio-photo-upload" onclick="uploadImage('aboutme');"></div>
            <div class="project-upload-details">
                <input type="text" class="project-title-upload reset-text" placeholder="Work Title">
                <textarea class="project-description-upload reset-text" placeholder="Description"></textarea>
                <input type="hidden" name="hdnProjectName" id="hdnProjectName" class="reset-text" value="">
                
                <div class="upload-image-list-portfolio editable small-image-section image-list thumbs-slide" style="display: none;"></div>
            </div>
            <div class="post-uploaded-product">
                <!--<a href="#" id="project-upload-hide"><span class="advanced-options">Advanced Options</span></a>-->
                <button id="projectAdd" onclick="javascript: addPortfolio();" class="postblueBtnCategory">Add</button>
                <button id="closePhotoUpload" class="hideBtnCategory" onclick="javascript: hideAddNewForm();">Cancel</button>
                <span class="advanced-options float-right"><a href="javascript: void(0);" onclick="javascript: addPortfolio(0, 1);">Save Draft</a></span>
                <div class="clear"></div>
            </div>
        </div>
        <!--END STEP - 2-->
    
        <!--ADD NEW PROJECT -->
        <div class="add-project-cover" id="project-cover" onclick="javascript: showHideAddNewForm();" style="display:<?php echo (!empty($portfolio)) ? '' : 'none'; ?>;">
            <a href="javascript:void(0);" id="project-add-again"></a>
        </div>
        <!--END-->
        
    <?php } ?>

    <?php if(empty($portfolio)){ ?>
    <div class="projects" id="projects">
        
        <?php $cnt = 1; if($this->isBrandAdmin){ ?>
            <div class="portfolio-container">
                <div class="project-item first-project">
                    <div class="project-image add-project-bg" onclick="javascript: showHideAddNewForm();"></div>
                </div>
            </div>
        <?php $cnt++; } ?>
        
        <?php for($i = $cnt; $i <= 6; $i++){ ?>
            <div class="portfolio-container">
            <div class="project-item">
                <div class="project-image">
                </div>
                <div class="short-desc-project">
                    <img src="/images/product-title.png" style="margin-top:70px;"><br />
                    <img src="/images/product-desc.png">
                    <img src="/images/product-desc.png">
                </div>
            </div>
            </div>
        <?php } ?>
        <div class="clear"></div>
    </div>
    <?php }else{ ?>
        
        <?php foreach($portfolio as $pf){ ?>
            <div class="new-projects" id="portfolio-projects-<?=$pf->id?>">
                <h1 class="project-title-added">
                    <span class="project-title-name"><?php echo $pf->projectName; ?></span>
                    
                    <?php if($this->isBrandAdmin){ ?>
                    <div class="project-actions">
                        <li class="dropdown">
                            <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                <i class="fa fa-pencil" aria-hidden="true"></i>
                            </a>
                            <ul class="dropdown-menu aboutPopup">
                                <div class="aboutPop">
                                    <ul>
                                        <li>
                                            <a href="javascript:void(0);" onclick="javascript: renamePortfolioProject($(this), <?=$pf->id?>); return false;">
                                                <span>Rename</span>
                                            </a>
                                        </li>
                                        <li>
                                            <?php 
                                                $text = 'Hide';
                                                $toggle = 0;
                                                if($pf->public == 0)
                                                {
                                                    $text = 'Show';
                                                    $toggle = 1;
                                                }
                                            ?>
                                            <a href="javascript:void(0);" data-toggle="<?=$toggle?>" onclick="javascript: showHidePortfolioProject($(this), <?=$pf->id?>); return false;">
                                                <span><?=$text?></span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="/$portfolioProjectDelete/<?=$pf->id?>" onclick="javascript: deletePortfolioProject($(this), <?=$pf->id?>); return false;">
                                                <span>Delete</span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </ul>
                        </li>
                    </div>
                    <?php } ?>
                    
                </h1>
                
                <?php if($this->isBrandAdmin){ ?>
                    <div class="upload-project-photo" id="upload-project-<?php echo $pf->id; ?>-portfolio" style="display:none;">
                        <div class="project-title-bar">
                            <h1 class="new-project-title">Add project content</h1>
                            <div class="clear"></div>
                        </div>
                        <div class="project-photo-upload portfolio-photo-upload" onclick="uploadImage('aboutme');"></div>
                        <div class="project-upload-details">
                            <input type="text" class="project-title-upload reset-text" placeholder="Work Title">
                            <textarea class="project-description-upload reset-text" placeholder="Description"></textarea>
                            <input type="hidden" name="hdnProjectName" id="hdnProjectName" value="<?php echo $pf->id; ?>">
                            
                            <div class="upload-image-list-portfolio editable small-image-section image-list thumbs-slide" style="display: none;"></div>
                        </div>
                        <div class="post-uploaded-product">
                            <!--<a href="#" id="project-upload-hide"><span class="advanced-options">Advanced Options</span></a>-->
                            <button id="projectAdd" onclick="javascript: addPortfolio(<?php echo $pf->id; ?>);" class="postblueBtnCategory">Add</button>
                            <button id="closePhotoUpload" class="hideBtnCategory" onclick="javascript: hideAddNewForm();">Cancel</button>
                            <span class="advanced-options float-right"><a href="javascript: void(0);" onclick="javascript: addPortfolio(<?=$pf->id; ?>, 1);">Save Draft</a></span>
                            <div class="clear"></div>
                        </div>
                    </div>
                    
                    <div class="upload-project-photo" id="edit-upload-project-<?php echo $pf->id; ?>-portfolio" style="display:none;">
                        
                    </div>
                    
                    <div class="addNewProject" style="display: none;" id="portfolio-project-edit-<?=$pf->id?>">
                        <div class="addProjectInfo">
                            <h3>Name your Project</h3>
                            <div class="projectInfoBlock">
                                <div class="eachProject">
                                    <input type="text" class="categoryInput input-project-name reset-text" placeholder="Type project name.."> 
                                    <a href="#" class="help">?</a>
                                </div>
                                <button id="project-first-hide" class="postblueBtnCategory" onclick="javascript: editPortfolioProject(<?=$pf->id?>);">Rename</button>
                                <button class="hideBtnCategory" onclick="javascript: hideAddNewForm();">Cancel</button>
                                <input type="hidden" name="hdnProjectPId" id="hdnProjectPId" value="" class="reset-text">
                                <div class="clear"></div>
                            </div>
                        </div>
                    </div>
                    <!--STEP - 1 END-->
                <?php } ?>
                
                <?php $cnt = 1; if($this->isBrandAdmin){ ?>
                    <div class="portfolio-container">
                        <div class="project-item first-project">
                            <div class="project-image add-project-bg first-project-new" onclick="javascript: addProjectPortfolio(<?php echo $pf->id; ?>);">
                            </div>
                        </div>
                    </div>
                <?php $cnt++; } ?>
                
                <?php if($pf->portfolio){ ?>
                    <?php foreach($pf->portfolio as $single){ ?>
                        <div class="portfolio-container" id="feed-post-<?=$single->id?>">
                            <?php
                            $this->productHelper()->jsonShortData($single);
                            ?>
                            <div class="project-item">
                                <?php 
                                    $images = json_decode($single->postImageData);
                                    $image = (isset($images[0]) && isset($images[0]->url)) ? $images[0]->url : '';
                                ?>
                                <div class="project-image image-frame cover-image" onclick="loadOnPage(<?php echo $single->id ?>)">
                                    <img src="<?php echo $image; ?>" alt="">
                                </div>
                                <div class="short-desc-project">
                                    
                                        <span class="pen">
                                            <?php if($this->isBrandAdmin){ ?>
                                            <li class="dropdown">
                                                <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                                    <i class="fa fa-pencil" aria-hidden="true"></i>
                                                </a>
                                                <ul class="dropdown-menu aboutPopup">
                                                    <div class="aboutPop">
                                                        <ul>
                                                            <li>
                                                                <a href="javascript:void(0);" data-postid="<?=$single->id?>" data-pf="<?=$pf->id?>" onclick="javascript: editPortfolio($(this));">
                                                                    <span>Edit</span>
                                                                </a>
                                                            </li>
                                                            <li>
                                                                <a href="/$brandPostDelete/<?=$single->id?>" onclick="javascript: deletePortfolio($(this)); return false;" data-postid="<?=$single->id?>">
                                                                    <span>Delete</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </ul>
                                            </li>
                                            <?php } ?>
                                        </span>
                                    
                                    <div class="clear"></div>
                                    <h3><?=$single->postTitle ?></h3>
                                    <p><?=$single->postContent?></p>
                                </div>
                            </div>
                        </div>
                    <?php $cnt++; } ?>
                <?php } ?>
                
                <?php for($i = $cnt; $i <= 6; $i++){ ?>
                    <div class="portfolio-container">
                    <div class="project-item">
                        <div class="project-image">
                        </div>
                        <div class="short-desc-project">
                            <img src="/images/product-title.png" style="margin-top:70px;"><br />
                            <img src="/images/product-desc.png">
                            <img src="/images/product-desc.png">
                        </div>
                    </div>
                    </div>
                <?php } ?>
                <div class="clear"></div>
                
            </div>
        <?php } ?>
        
    <?php } ?>

</div>

<link href="/css/fullSlider.css" rel="stylesheet">
<link href="/css/slim.css" rel="stylesheet">
<div class="modal-backdrop fade in" style="display: none;"></div>

<!-- Modal -->
<div aria-hidden="true" role="dialog" tabindex="-1" class="modal fade image-slider-popup fs-slider" id="image-modal-0">
    <div class="modal-container">
        <div class="contents fs-container aside_panel_active">

            <header class="fs_modal_header">
                <div class="header-container">
                    <div class="img-container">
                        <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
                    </div>

                    <div class="header-title-container">
                        <h3></h3>
                        <div class="header-meta">
                            <a id="brand-url" data-target-segment="landing" href="<?= $this->url('products-category', ['brandUrl' => $this->brand->url]) ?>"><span id="brand-name" class="pagename" style="margin-left: 0"><?= $this->brand->name ?></span></a>
                            <span>&bull;</span>
                            <span>In</span>
                            <span>&bull;</span>
                            <?php
                           /* $segment = $post->getPostSegment();
                            $segParam = $post->getPostSegmentParam();*/
                            ?>
                            <a id="data-target-segment" href=""><span class="category"></span></a>
                        </div>
                    </div>
                    <div class="header-right">
                        <button type="button" id="publ" data-type="add" data-collection="0" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Publish</button>


                        <!--<a class="navbar-toggle collapsed" href="javascript:void(0);" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1234138" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <i class="fa fa-bars" aria-hidden="true"></i>
                        </a>-->
                        <!--<div class="photo-meta" id="bs-example-navbar-collapse-1234138">
                            <ul>
                                <li class="fs_slider_love_conainer"><a href="javascript:void(0);" class="text-info " data-loved="1" onclick="javascript: makeLovedPopup(this, 1234138);"><i class="fa fa-heart" aria-hidden="true"></i>Love<span></span></a></li>
                                <li class="fs_slider_comments_count">
                                    <a href="javascript:void(0);" data-postid="1234138" class="fs-comment-btn active" onclick="fs_comment_box(this);">
                                        <i class="fa fa-comment" aria-hidden="true"></i> Comment <span></span>
                                    </a>
                                </li>
                                <li>
                                    <div class="sharing_content" data-postid="1234138">
                                        <div class="social_sharing">
                                            <ul>
                                                <li>
                                                    <a onclick="" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Facebook.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Twitter.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="" href="javascript:void(0);">
                                                        <img src="/images/social_icon/Email.png" class="img-responsive">
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <a href="javascript:void(0);">
                                            <i class="fa fa-share-alt" aria-hidden="true"></i> Share <span></span>
                                        </a>
                                    </div>
                                </li>
                            </ul>
                        </div>-->
                    </div>
                    <div class="header-close">

                        <button data-dismiss="modal" onclick="closePreview()" class="close" type="button"><img src="/images/full-exit.png"></button>
                        <!--<div class="upload-menu-btn"><button data-toggle="dropdown" class="btn btn-xs buttonmenu" aria-expanded="false"><span id="glf" class="glyphicon glyphicon-align-justify"></span> </button><ul class=""><li class="listr marg"><input checked="" style="width: 20px; height: 15px;" type="radio" id="product-setting1" name="product-setting" value="1"><label for="product-setting1">Sale</label></li><li class="listr marg"><input style="width: 20px; height: 15px;" type="radio" id="product-setting2" name="product-setting" value="2"><label for="product-setting2">New</label></li><li class="listr marg"><input style="width: 20px; height: 15px;" type="radio" id="product-setting3" name="product-setting" value="3"><label for="product-setting3">Best Saller</label></li><li class="listr"><input style="width: 20px; height: 15px;" type="checkbox" id="buy-now" name="buy-now" value="Buy Now"><label for="buy-now">Buy Now</label></li><li class="listr " style="display: none">Enter Price <br><input name="price" type="text" style="height:30px;width: 100% !important;padding: 0 !important;border: 1px solid black !important;"></li></ul></div>-->
                    </div>
                </div>
            </header>

            <div class="modal-body">
                <div class="">
                    <div data-interval="false" data-ride="carousel" class="carousel slide carousel-fade" id="">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <div class="item item-active" data-slide-number="0">
                                <img id="0" src="https://loveabrand-indev.s3.amazonaws.com/i/4682ff9da2e51edaba577ceeffb3a166.jpg" class="img-responsive">
                                <input type="hidden" id="photoTitle_0" value="Test">
                                <input type="hidden" id="photoCaption_0" value="test">
                                <input type="hidden" id="photoLoveCnt_0" value="0">
                                <input type="hidden" id="photoLove_0" value="0">
                                <input type="hidden" id="photoDateStamp_0" value="1476373189">
                                <input type="hidden" id="photoDateFormate_0" value="13-10-2016 16:39">
                                <input type="hidden" id="photoCommenstCnt_0" value="0">
                            </div>
                            <div class="item  item-active active" data-slide-number="1">
                                <img id="1" src="https://loveabrand-indev.s3.amazonaws.com/i/4682ff9da2e51edaba577ceeffb3a166.jpg" class="img-responsive">
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Controls -->
                <a data-slide="prev" role="button" href="#fs-photo-slider" class="left carousel-control">
                    <i class="fa fa-chevron-left" aria-hidden="true"></i>
                </a>
                <a data-slide="next" role="button" href="#fs-photo-slider" class="right carousel-control">
                    <i class="fa fa-chevron-right"></i>
                </a>
                <div id="carousel-bounding-box">
                    <div id="myCarousel" class="carousel slide">
                        <ul class="list-inline" style="margin-left: 100px; margin 100px;">
                            <li>
                                <a id="carousel-selector-0" href="#myCarousel0">
                                    <img src="https://loveabrand-indev.s3.amazonaws.com/i/4682ff9da2e51edaba577ceeffb3a166.jpg" style="width:80px; height:60px;" class="littleP" id="0" img-responsive="">
                                </a>
                            </li>
                            <li>
                                <a id="carousel-selector-1" href="#myCarousel1">
                                    <img src="https://loveabrand-indev.s3.amazonaws.com/i/5231852d33b288fb9a92eda6c855d971.jpg" style="width:80px; height:60px;" class="littleP" id="1" img-responsive="">
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <aside class="aside_panel">
                <div class="description_container">
                    <header class="comment_header">
                        <div class="col-md-9 col-xs-9 col-sm-9 fs-aside-title nopadding">
                            <h4>Test test</h4>
                        </div>
                        <div class="col-md-3 col-xs-3 col-sm-3 fs-time-ago nopadding">
                            <small> </small>
                        </div>
                    </header>
                    <div class="fs-aside-description fancySccroll">
                        test test
                    </div>
                </div>
                <div class="comments_container">

                    <div class="comments-form">
                        <div class="comments-form-footer">
                            <div class="col-md-8 col-xs-8 col-sm-8 nopadding comment-text">
                                <!--There Are <span>0</span> Comments-->
                            </div>
<!--                            <div class="col-md-4 col-xs-4 col-sm-4 comment-btn-container nopadding text-right">-->
<!--                                <button type="button" data-type="add" data-collection="0" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Publish</button>-->
<!--                            </div>-->
<!--                            <div class="col-md-4 col-xs-4 col-sm-4 comment-btn-container nopadding text-right">-->
<!--                                <button type="button" data-type="add" data-collection="0"  class="postblueBtnCategory">Buy now</button>-->
<!--                                <div class="product-price" style="float:left">Price: </div>-->
<!--                            </div>-->
                        </div>
                    </div>

                </div>
            </aside>
        </div>
    </div>
</div>


<script type="text/javascript">
var UploadedImagesListSelPortfolio = '.upload-image-list-portfolio';

window.onGloabalJS.push(function() {
    window.uploadImageSetStoragePortfolio = window.persistentVariablePortfolio("uploadImageSetPortfolio", new window.ImageSet([], UploadedImagesListSelPortfolio));
    if(window.uploadImageSetStoragePortfolio.get().type !== 'ImageSet') {
        window.uploadImageSetStoragePortfolio.set(new window.ImageSet([], UploadedImagesListSelPortfolio));
    }
    //console.log("uploadImageSetStorage = ", window.uploadImageSetStorage, window.uploadImageSetStorage.get());
});

function uploadImageToEditorPortfolio(img) {
    //console.log(img);
    //console.log('Posts');
    //console.log(window.uploadImageSetStorage.value);
    var imageSet = window.uploadImageSetStoragePortfolio.get();
    //console.log(imageSet);
    imageSet.addImages([img]);
    window.uploadImageSetStoragePortfolio.set(imageSet);
}

function uploadImage(type) {
    var handelClass = '.upload-image-list-'+type;
    //console.log(handelClass);
    UploadedImagesListSel = handelClass;
    
    window.imageSubmittedCallback = uploadImageToEditorPortfolio;
    
    $("#editorImageSubmitter").click();
}

function removeImageClicked(el, type) {
    var $container = $(el).closest('.img-container');
    var $img = $('img', $container);
    var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
    function(response) {
        if(response) {
            removeImage($img.attr('src'), type);
        }
    }, "Delete", "Cancel");
}

function removeImage(img, type) {
    var imageSet = window.uploadImageSetStoragePortfolio.get();
    console.log(imageSet);
    imageSet.removeImages([img]);
    window.uploadImageSetStoragePortfolio.set(imageSet);
}

window.onFeedJS.push(initAboutMeTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initAboutMeTab);
});

function initAboutMeTab() {
    if(window.feed.activeSegment != 'portfolio') return;
    
    $(document).on('click, mouseover', '.image-list .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.image-list').hasClass('editable')) {
            var type = $panel.closest('.image-list').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
            }
        }
    });
}

function showHideAddNewForm()
{
    $('.addNewProject').slideToggle('slow');
}

function hideAddNewForm()
{
    $('.addNewProject').slideUp('slow');
    $('.upload-project-photo').slideUp('slow');
    $('.reset-text').val('');
    
    var imgs = window.uploadImageSetStoragePortfolio.get();
    imgs.images = [];
    imgs.imagesChanged();
    window.uploadImageSetStoragePortfolio.set(imgs);
}

function nextStepPortfolio()
{
    var projectName = $('.addProjectInfo .input-project-name');
    if(projectName.length > 0 && projectName.val().trim() == "")
    {
        labAlert("Please enter project name.");
        return false;
    }    
    $('#hdnProjectName').val(projectName.val());
    $('.addNewProject').slideUp('slow', function(){
        $('.upload-project-photo').slideDown('slow');
    });     
}

function addPortfolio(projectId, draft)
{
    $portfolioContaier = (projectId > 0) ? $('#upload-project-'+projectId+'-portfolio') : $('#project-upload');
    var title = $portfolioContaier.find('.project-upload-details .project-title-upload');
    var description = $portfolioContaier.find('.project-upload-details .project-description-upload');
    var projectName = $portfolioContaier.find('.project-upload-details #hdnProjectName');
    
    if(projectName.val().trim() == "")
    {
        labAlert("Project name is empty.");
        return;
    }
    
    if(title.val().trim() == "" && description.val().trim() == "")
    {
        labAlert("Please fill in the work title and description before submitting the portfolio.");
        return;
    }
    draft = (draft > 0) ? draft : 0;
    imageData = prepareImageData('upload-portfolio');
    ajaxSubmit('/$addPortfolio/' + g_brand.url, {
        'title': title.val().trim(),
        'content': description.val().trim(),
        'projectName': projectName.val().trim(),
        'imageData': imageData,
        'draft': draft,
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while submitting the post. " + error);
        }else{
            var imgs = window.uploadImageSetStoragePortfolio.get();
            imgs.images = [];
            imgs.imagesChanged();
            window.uploadImageSetStoragePortfolio.set(imgs);
            feed.navigateToSegment('portfolio');
        }
    });
}

function editPortfolioData(postID, projectId, draft)
{
    $portfolioContaier = $('#edit-upload-project-'+projectId+'-portfolio');
    var title = $portfolioContaier.find('.project-upload-details .project-title-upload');
    var description = $portfolioContaier.find('.project-upload-details .project-description-upload');
    
    if(title.val().trim() == "" && description.val().trim() == "")
    {
        labAlert("Please fill in the work title and description before submitting the portfolio.");
        return;
    }
    
    drafts = (draft > 0) ? draft : 0;
    postType = 7;
    video = '';
    imageData = prepareImageData('upload-portfolio');
    window.loadingIndicator($('body'));
    ajaxSubmit('/$brandPostEdit/' + postID, {
        'title': title.val().trim(),
        'content': description.val().trim(),
        'drafts' : drafts,
        'imageData':imageData,
        'postType' : postType,
        'video' : video,
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while submitting the post. " + error);
        }else{
            console.log("post submitted", data);
            var imgs = window.uploadImageSetStoragePortfolio.get();
            imgs.images = [];
            imgs.imagesChanged();
            window.uploadImageSetStoragePortfolio.set(imgs);
            feed.navigateToSegment('portfolio');
            $('.loading-indicator-background').remove();
        }
    });
}

function addProjectPortfolio(projectId)
{
    $('.upload-project-photo').hide();
    $('.addNewProject').hide();
    $('#upload-project-'+projectId+'-portfolio').slideDown('slow');
}

function deletePortfolio($el)
{
    labConfirm("Do you really want to delete this portfolio?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#feed-post-'+$el.data('postid')).slideUp(g_animationSpeed, function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

function editPortfolio($el)
{
    var postID = $el.data('postid');
    var pf = $el.data('pf');
    
    window.loadingIndicator($('body'));
    ajaxSubmit('<?php echo $this->url('get-post', ['postId' => 'POSTID']); ?>'.replace(/POSTID/, postID), {}, function (data) {
            $('#edit-upload-project-'+pf+'-portfolio').html(data);
            var postImages = $('#hdnPostImages').val();
            if($('#hdnPostImages').length == 1 && postImages != "[]")
            {
                postImages = $.parseJSON(postImages);
                if(postImages.length > 0)
                {
                    for(var i = 0; i < postImages.length; i++)
                    {
                        uploadImageToEditorPortfolio(postImages[i]);
                    }
                }
            }
           
            $('.upload-project-photo').hide();
            $('.addNewProject').hide();
            $('#edit-upload-project-'+pf+'-portfolio').slideDown(g_animationSpeed); 
           
            $('.loading-indicator-background').remove();
            $('html,body').animate({
                scrollTop: $('#edit-upload-project-'+pf+'-portfolio').offset().top},
            g_animationSpeed);
    });
}

function deletePortfolioProject($el, projectId)
{
    labConfirm("Do you really want to delete this portfolio project?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#portfolio-projects-'+projectId).slideUp(g_animationSpeed, function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

function showHidePortfolioProject($el, projectId)
{
    var toggle = $el.attr('data-toggle');
    
    window.loadingIndicator($('body'));
     ajaxSubmit('<?php echo $this->url('manage-portfolio-project', ['projectId' => 'PROJECTID']); ?>'.replace(/PROJECTID/, projectId), {
        action: 'showHide',
        toggle: toggle,
     }, function (data) {
           if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                var project = data.project;
                
                var text = 'Hide';
                var showHide = 0;
                
                if(project.public == 0)
                {
                    text = 'Show';
                    showHide = 1;
                }
                
                $el.attr('data-toggle', showHide);
                $el.find('span').html(text);
            }
            $('.loading-indicator-background').remove();
    });
}

function renamePortfolioProject($el, projectId)
{
    window.loadingIndicator($('body'));
     ajaxSubmit('<?php echo $this->url('manage-portfolio-project', ['projectId' => 'PROJECTID']); ?>'.replace(/PROJECTID/, projectId), {
        action: 'get-portfolio',
     }, function (data) {
           if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                var project = data.project;
                
                $('.addNewProject').slideUp('slow');
                $('.upload-project-photo').slideUp('slow');
                $('.reset-text').val('');
                
                $('#portfolio-project-edit-'+projectId).find('.input-project-name').val(project.projectName);
                $('#portfolio-project-edit-'+projectId).find('#hdnProjectPId').val(project.id);
                $('#portfolio-project-edit-'+projectId).slideDown(g_animationSpeed);
            }
            $('.loading-indicator-background').remove();
    });
}

function editPortfolioProject(projectId)
{
    var projectName = $('#portfolio-project-edit-'+projectId).find('.input-project-name').val();
    var project_id = $('#portfolio-project-edit-'+projectId).find('#hdnProjectPId').val();
    
    window.loadingIndicator($('body'));
     ajaxSubmit('<?php echo $this->url('manage-portfolio-project', ['projectId' => 'PROJECTID']); ?>'.replace(/PROJECTID/, projectId), {
        action: 'edit-portfolio',
        projectName: projectName,
        projectId: project_id,
     }, function (data) {
           if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                var project = data.project;
                
                $('.addNewProject').slideUp('slow');
                $('.upload-project-photo').slideUp('slow');
                $('.reset-text').val('');
                
                $('#portfolio-projects-'+projectId).find('h1.project-title-added span.project-title-name').html(project.projectName);
                $('#portfolio-project-edit-'+projectId).slideUp(g_animationSpeed);
            }
            $('.loading-indicator-background').remove();
    });
}
</script>
<?php
echo $this->partial('brand-post-modal');
?>